Last Comment Bug 734736 - Port Bug 734374 to Thunderbird [Australis theme]
: Port Bug 734374 to Thunderbird [Australis theme]
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Theme (show other bugs)
: Trunk
: x86_64 Windows 7
: -- normal (vote)
: Thunderbird 14.0
Assigned To: Richard Marti (:Paenglab)
:
:
Mentors:
Depends on:
Blocks: 733854 737347
  Show dependency treegraph
 
Reported: 2012-03-11 05:11 PDT by Richard Marti (:Paenglab)
Modified: 2012-03-27 16:03 PDT (History)
3 users (show)
ryanvm: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Patch (7.31 KB, patch)
2012-03-11 05:17 PDT, Richard Marti (:Paenglab)
no flags Details | Diff | Splinter Review
Patch (7.31 KB, patch)
2012-03-11 11:57 PDT, Richard Marti (:Paenglab)
bugs: ui‑review+
Details | Diff | Splinter Review
Comparison (6.13 KB, image/png)
2012-03-20 13:32 PDT, Richard Marti (:Paenglab)
no flags Details
Patch v3 (8.54 KB, patch)
2012-03-23 11:09 PDT, Richard Marti (:Paenglab)
bugs: review+
richard.marti: ui‑review+
Details | Diff | Splinter Review
Patch for check-in (8.32 KB, patch)
2012-03-27 09:01 PDT, Richard Marti (:Paenglab)
richard.marti: review+
richard.marti: ui‑review+
Details | Diff | Splinter Review

Description Richard Marti (:Paenglab) 2012-03-11 05:11:56 PDT
Now that Bug 734374 has r+ I'll port this bug to Thunderbird.
Comment 1 Richard Marti (:Paenglab) 2012-03-11 05:17:37 PDT
Created attachment 604767 [details] [diff] [review]
Patch

I followed the changes from Bug 734374 plus I made the searchbars background behave like Firefox on normal toolbars and the Gloda searchbox on Glass (tab-bar).
Comment 2 Richard Marti (:Paenglab) 2012-03-11 11:57:27 PDT
Created attachment 604782 [details] [diff] [review]
Patch

I found a typo. New patch, now all should be okay. Sorry
Comment 3 Andreas Nilsson (:andreasn) 2012-03-20 12:16:25 PDT
Richard: Could you please provide before and after screenshots?
Either I have something wrong with my setup, these patches aint biting or I'm looking for the wrong thing :)
Comment 4 Richard Marti (:Paenglab) 2012-03-20 13:32:00 PDT
Created attachment 607687 [details]
Comparison

Comparison. On the left the old box on the right the patch applied.

The patch is 100% like the one on Firefox and the effect is very subtle on hover. The most difference is when active.
Comment 5 Andreas Nilsson (:andreasn) 2012-03-23 06:13:48 PDT
Comment on attachment 604782 [details] [diff] [review]
Patch

ui-r based on the screenshots.
Will test it once more before I give r+
Comment 6 Richard Marti (:Paenglab) 2012-03-23 11:09:27 PDT
Created attachment 608776 [details] [diff] [review]
Patch v3

Patch adding the changes to #IMSearchInput. I removed the definitions in chat.css and added them to messenger.css. With this the style is only defined on one position.

I'm carrying over ui-r+ from previous patch.
Comment 7 Andreas Nilsson (:andreasn) 2012-03-26 07:45:51 PDT
Comment on attachment 608776 [details] [diff] [review]
Patch v3

Code looks good!
Comment 8 Ryan VanderMeulen [:RyanVM] 2012-03-26 17:35:29 PDT
This patch is bitrotted in addressbook-aero.css. Please rebase.
Comment 9 Richard Marti (:Paenglab) 2012-03-27 09:01:03 PDT
Created attachment 609740 [details] [diff] [review]
Patch for check-in

Unbitrotted patch.

Carrying over review flags from previous patch.
Comment 10 Ryan VanderMeulen [:RyanVM] 2012-03-27 16:03:57 PDT
http://hg.mozilla.org/comm-central/rev/110e8543f72f

Note You need to log in before you can comment on or make changes to this bug.